Bug 1329556 - python-ly requires both Python 2 and Python 3
Summary: python-ly requires both Python 2 and Python 3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-ly
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3
TreeView+ depends on / blocked
 
Reported: 2016-04-22 08:50 UTC by Petr Viktorin
Modified: 2016-05-07 11:58 UTC (History)
1 user (show)

Fixed In Version: python-ly-0.9.4-2.fc23 python-ly-0.9.4-2.fc22 python-ly-0.9.4-2.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-01 23:52:54 UTC


Attachments (Terms of Use)

Description Petr Viktorin 2016-04-22 08:50:35 UTC
python-ly-0.9.4-1 requires both Python 2 and Python 3. I see no need
to drag in both Python interpreters when the package is installed.

This is because setup.py is run using Python 3, so /usr/bin/ly-server
ends up with a /usr/bin/python3 shebang.
For /usr/bin/ly, there is a "sed" line to switch it to Python 2, but
no such line was added for ly-server.


Note: according to Python packaging guidelines [0], "[if] the
executables provide the same functionality independent of whether
they are run on top of Python 2 or Python 3, then only the Python 3
version of the executable should be packaged." Transitioning to
Python 3 is up to the maintainer, but it might be good to switch when
introducing a new executable.

[0] https://fedoraproject.org/wiki/Packaging:Python#Executables_in_.2Fusr.2Fbin

Comment 1 Fedora Update System 2016-04-22 14:20:29 UTC
python-ly-0.9.4-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6c91d68c55

Comment 2 Fedora Update System 2016-04-22 14:20:40 UTC
python-ly-0.9.4-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b9ed1890e0

Comment 3 Fedora Update System 2016-04-22 14:20:46 UTC
python-ly-0.9.4-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1da653578a

Comment 4 Fedora Update System 2016-04-24 01:24:43 UTC
python-ly-0.9.4-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1da653578a

Comment 5 Fedora Update System 2016-04-24 06:23:00 UTC
python-ly-0.9.4-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b9ed1890e0

Comment 6 Fedora Update System 2016-04-24 06:26:03 UTC
python-ly-0.9.4-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6c91d68c55

Comment 7 Fedora Update System 2016-05-01 23:52:50 UTC
python-ly-0.9.4-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2016-05-02 05:50:31 UTC
python-ly-0.9.4-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-05-07 11:58:46 UTC
python-ly-0.9.4-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.